# Class CapabilityTableModel

java.lang.Object
javax.swing.table.AbstractTableModel
uk.ac.starlink.vo.CapabilityTableModel

All Implemented Interfaces:
  `Serializable, TableModel`

public class CapabilityTableModel extends AbstractTableModel
TableModel in which each row is a `RegCapabilityInterface`.

Since:
  18 Dec 2008
Author:
  Mark Taylor
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class AbstractTableModel

`listenerList`

## Constructor Summary

Constructors
Constructor
Description
`CapabilityTableModel()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`RegCapabilityInterface[]`
`getCapabilities()`
Returns the data array for this table.
`int`
`getColumnCount()`
`String`
`getColumnName(int icol)`
`int`
`getRowCount()`
`Object`
`getValueAt(int irow, int icol)`
`void`
`setCapabilities(RegCapabilityInterface[] caps)`
Sets the data for this table.

### Methods inherited from class AbstractTableModel

`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CapabilityTableModel

public CapabilityTableModel()
Constructor.

## Method Details

### getColumnCount

public int getColumnCount()

### getRowCount

public int getRowCount()

### getValueAt

public Object getValueAt(int irow, int icol)

### getColumnName

public String getColumnName(int icol)

Specified by:
  `getColumnName` in interface `TableModel`
Overrides:
  `getColumnName` in class `AbstractTableModel`

### setCapabilities

public void setCapabilities(RegCapabilityInterface[] caps)
Sets the data for this table.

Parameters:
  `caps` - capability array

### getCapabilities

public RegCapabilityInterface[] getCapabilities()
Returns the data array for this table.

Returns:
  capability array